import request from "@/utils/request";

// 查询资格考试报名列表
// export function listZigePerson(query) {
//   return request({
//     url: "/zgks/ZigePerson/list",
//     method: "get",
//     params: query,
//   });
// }
export function listZigePerson(query) {
  return request({
    url: "/zgks/ZigePerson/list",
    method: "get",
    params: query,
  });
}

// 查询资格考试报名详细
export function getZigePerson(PersonId) {
  return request({
    url: "/zgks/ZigePerson/" + PersonId,
    method: "get",
  });
}
// 个人报名查询
export function zigePersonQuery(data) {
  return request({
    url: "/openapi/zigePersonQuery",
    method: "get",
    params: data,
  });
}

// 新增资格考试报名
export function addZigePerson(data) {
  return request({
    url: "/zgks/ZigePerson",
    method: "post",
    data: data,
  });
}

// 修改资格考试报名
export function updateZigePerson(data) {
  return request({
    url: "/zgks/ZigePerson",
    method: "put",
    data: data,
  });
}

// 删除资格考试报名
export function delZigePerson(PersonId) {
  return request({
    url: "/zgks/ZigePerson/" + PersonId,
    method: "delete",
  });
}

//资格考试报名审核
export function zgksShenhe(data) {
  return request({
    url: "/zgks/ZigePerson/qiyeaudit",
    data: data,
    method: "post",
  });
}
// 报名表下载
export function downloadZigePerson(PersonId) {
  return request({
    url: "/zgks/ZigePerson/download/person/" + PersonId,
    method: "get",
  });
}
export function unlockZigePerson(data) {
  return request({
    url: "/zgks/ZigePerson/unLockZigerPerson",
    method: "post",
    params: data,
  });
}
